gnutls_privkey_import_tpm_raw(3)

NAME
gnutls_privkey_import_tpm_raw - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_privkey_import_tpm_raw(gnutls_privkey_t pkey, const gnutls_datum_t * fdata, gnutls_tpmkey_fmt_t format, const char * srk_password, const char * key_password, unsigned int flags);

ARGUMENTS

gnutls_privkey_t pkey
    The private key

const gnutls_datum_t * fdata
    The TPM key to be imported

gnutls_tpmkey_fmt_t format
    The format of the private key

const char * srk_password
    The password for the SRK key (optional)

const char * key_password
    A password for the key (optional)

unsigned int flags
    should be zero

DESCRIPTION
This function will import the given private key to the abstract gnutls_privkey_t type. With respect to passwords the same as in gnutls_privkey_import_tpm_url() apply.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.1.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/